Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.PEP.ProblemType

class slepc4py.SLEPc.PEP.ProblemType

  Bases: `object`

  PEP problem type.

  - `GENERAL`: No structure.

  - `HERMITIAN`: Hermitian structure.

  - `HYPERBOLIC`: QEP with Hermitian matrices, \(M>0\),

      \((x^TCx)^2 > 4(x^TMx)(x^TKx)\).

  - `GYROSCOPIC`: QEP with \(M\), \(K\) Hermitian,

      \(M>0\), \(C\) skew-Hermitian.

  Attributes Summary

  `GENERAL` | Constant `GENERAL` of type `int`
  `GYROSCOPIC` | Constant `GYROSCOPIC` of type `int`
  `HERMITIAN` | Constant `HERMITIAN` of type `int`
  `HYPERBOLIC` | Constant `HYPERBOLIC` of type `int`

  Attributes Documentation

  GENERAL: int = GENERAL

    Constant `GENERAL` of type `int`

  GYROSCOPIC: int = GYROSCOPIC

    Constant `GYROSCOPIC` of type `int`

  HERMITIAN: int = HERMITIAN

    Constant `HERMITIAN` of type `int`

  HYPERBOLIC: int = HYPERBOLIC

    Constant `HYPERBOLIC` of type `int`